## win32-loader 0.7.4.2

=== debian/changelog ===
win32-loader (0.7.4.2) unstable; urgency=low

  The « شراب » release.

  * Updated translations:
    - Turkish (hadi canım)
    - Dutch (Jeroen Schot)
    - Spanish (Javier Fernández-Sanguino Peña, Closes: #642362)
    - Persian (New, behrad eslami, Closes: #643297, #643295)
  * Use the -c iconv option to be more fault-tolerant with weird
    translation files.
  * Refresh translations.

 -- Didier Raboud <odyx@debian.org>  Tue, 27 Sep 2011 15:08:48 +0200

win32-loader (0.7.4.1) unstable; urgency=low

  The « Yesterday was C&W party » release.

  * Correct bugnumber closed in previous upload.
  * Fix source packages locations references.
    - In debian/copyright, make sure the path is under debian/.
    - In debian/rules, make sure to point in pool/main and not main/pool.

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Aug 2011 15:54:14 +0200

win32-loader (0.7.4) unstable; urgency=low

  The « Amigne de Vétroz » release.

  [ Samuel Thibault ]
  * Add GNU/Hurd support, disabled for now.
  * Add graphical choice for the GNU/Hurd case.

  [ Colin Watson ]
  * Add loopback and iso9660 GRUB modules, useful for loading files from ISO
    images.

  [ Didier Raboud ]
  * Update debian/copyright and the companion text to point to the real
    source locations.
  * Use the Built-Using field and enhance the sources documentation.
  * Rename the NO_KFREEBSD make envvar to NOT_ALLKERNELS to open the doors
    to GNU/Hurd too.
  * Update hurd-i386 daily images location.
  * Allow one to choose GNU/Hurd from the listed kernels.
  * Rename "Linux cmdline" to "Kernel commandline".
  * Point to the Installation Guide in the companion text. (Closes: 635657).

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Aug 2011 20:45:20 +0200

win32-loader (0.7.3) unstable; urgency=low

  The « Gamaret » release.

  * Updated translations:
    - Uyghur (Gheyret Tohti)
      (Still not activated, no NSIS translation)

  * Fix kFreeBSD kernel variables in win32-loader.ini.

 -- Didier Raboud <odyx@debian.org>  Sun, 19 Jun 2011 14:59:22 +0200

win32-loader (0.7.2) unstable; urgency=low

  The « Raisinée » release.

  * Use bzip2 compression for the source tarball.
  * Make win32-loader work from kFreeBSD CDs.
    - Add gzio grub module as kernels are gz-compressed.
    - Allow new win32-loader.ini option: kernel=, to be specified on the CDs.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jun 2011 21:59:55 +0200

win32-loader (0.7.1) unstable; urgency=low

  The « Fendant » release.

  * Updated translations:
    - Catalan (Jordi Mallach, Closes: #619378)
    - Japanese (Kenshi Muto)
    - Bosnian (Armin Besirovic)

  [ Joey Hess ]
  * Update i386 daily build location.

  [ Colin Watson ]
  * Build-depend on the new grub-pc-bin, which is a less intrusive
    build-dependency than grub-pc.

  [ Stephen Kitt ]
  * Build with mingw-w64. (Closes: #623621)

  [ Didier Raboud ]
  * Fix long description to remove the mention of the standalone version
    which is uploaded "byhand" anyway.
  * Replace the GTK screenshot by a more recent one, featuring SpaceFun.
    Document the creation of the bmp picture from its bigger-size png
    source using convert.
  * Build-Depend on the mingw-w64-based NSIS.
  * Bump Standards-Version to 3.9.2.0 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Jun 2011 12:54:25 +0200
