=== debian/control ===
Source: win32-loader
Section: utils
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
Build-Depends:
 debhelper (>= 7.0.50),
 nsis (>= 2.43-4), nsis-pluginapi,
 mingw-w64,
 gettext,
 grub-pc-bin (>= 1.99~rc1-3),
 loadlin (>= 1.6c.really1.6c.nobin-1~),
 locales-all,
 gpgv-win32, debian-archive-keyring,
 cpio-win32 (>= 2.11-4), gzip-win32
Standards-Version: 3.9.2.0
Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
Vcs-Git: git://git.debian.org/d-i/win32-loader.git

Package: win32-loader
Architecture: all
Depends: ${misc:Depends}, base-files (>= 4.0.1~)
Built-Using: ${w32-loader:built-using}
Suggests: wine
Description: Debian-Installer loader for win32
 This package provides a win32 program that can be used as a loader for
 Debian Installer, acting as a more user-friendly boot mechanism than
 traditional BIOS-based boot.
 .
 This package contains the cdrom/usb-disk add-on that starts a media-based
 install.
