=== debian/changelog ===
win32-loader (0.7.4.3) unstable; urgency=low

  The « Гнулар » release.

  * Updated translations:
    - Czech (Miroslav Kure)
    - Dutch (Jeroen Schot)
    - French (Christian Perrier)
    - German (Philipp Kern)
    - Icelandic (Sveinn í Felli)
    - Italian (Milo Casagrande)
    - Kazakh (Baurzhan Muftakhidinov, Closes: #653344)
    - Norwegian Bokmål (Hans Fredrik Nordhaug)
    - Persian (Hamid, Christian Perrier, Closes: #643728)
    - Portuguese (Miguel Figueiredo)
    - Russian (Yuri Kozlov, Closes: #646082)
    - Slovak (Ivan Masár, Christian Perrier, Closes: #648198)
    - Spanish (Javier Fernández-Sanguino Peña, Closes: #654535)
    - Swedish (Martin Bagge)
    - Belarusian, Bulgarian, Bosnian, Catalan, Greek
      Esperanto, Spanish, Finnish, Irish, Galician,
      Hungarian, Japanese, Thai, Turkish, Ukrainian updated
      (Christian Perrier in multilingual mode)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jan 2012 10:27:10 +0100
