=== debian/changelog ===
win32-loader (0.7.4.7+deb7u2) stable; urgency=low

  * Wheezy 7.6 point-release rebuild to update the embedded dependencies.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Jul 2014 10:49:54 +0200

win32-loader (0.7.4.7+deb7u1) stable; urgency=low

  * Post-Wheezy release rebuild to update the embedded dependencies.

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Jun 2013 21:31:52 +0200

win32-loader (0.7.4.7) unstable; urgency=low

  The « أسد » release.

  [ Christian Perrier ]
  * Updated translations:
    - Arabic (Ossama Khayat) Closes: #679660
    - Fix PO-Revision-Date's.

  [ Didier Raboud ]
  * Disable 'Download Debian GNU/Hurd as stable' as this won't be
    possible in wheezy.
  * Replace the 'spacefun' screenshot with a 'Joy' screenshot.
  * Sync default video modes for Linux with the rest of d-i.
  * Default to the graphical install for all kernels.

  * Bug-fixing:
    - Drop the lonely opening parenthesis around the options specifiers
      in BrandingText.
    - Drop useless branch in dailies URL handler.

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Aug 2012 22:05:25 +0200

win32-loader (0.7.4.6) unstable; urgency=low

  [ Christian Perrier ]
  * Updated translations:
    - Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 23:28:50 +0200

win32-loader (0.7.4.5) unstable; urgency=low

  * Updated translations:
    - Asturian (ivarela)
    - Slovenian (Vanja Cvelbar). Closes: #670621
    - Vietnamese (Hai Lang)
    - Traditional Chinese (Vincent Chen). Closes: #672324
  * Added translations:
    - Khmer (Khoem Sokhem)
    - Latvian (Rūdolfs Mazurs). Closes: #674702
    - Welsh (Daffyd Tomos).
  * Thanks to Christian Perrier for most updates above.

 -- Didier Raboud <odyx@debian.org>  Thu, 07 Jun 2012 16:31:54 +0200

win32-loader (0.7.4.4) unstable; urgency=low

  The « Миш » release.

  * Updated translations:
    - Hebrew (Lior Kaplan)
    - Simplified Chinese (YunQiang Su). Closes: #656772
    - Serbian (Karolina Kalic). Closes: #656905
    - Serbian Latin (Karolina Kalic). Closes: #656906
    - Polish (Michał Kułach). Closes: #657268
    - Indonesian (Mahyuddin Susanto).
    - Danish (Joe Hansen). Closes: #661986
    - Croatian (Tomislav Krznar). Closes: #664982
  * Thanks to Christian Perrier for most updates above.

  [ Didier Raboud ]
  * Make XFCE the default desktop on !linux.
  * Mark some targets as .PHONY to make sure they get rebuilt for each
    flavour.
  * Enable the two Serbian translations.
  * Add PXE functionality to the standalone flavour. (Closes: #657830)
  * Bump Standards-Version to 3.9.3.1 without changes needed.
  * Drop the versionned dependency on base-files, now satisfied in
    oldstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 28 Mar 2012 09:40:03 +0200
