=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
  mingw-w64,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
+ ipxe,
  loadlin (>= 1.6c.really1.6c.nobin-1~),
  locales-all,
  gpgv-win32, debian-archive-keyring,
  cpio-win32 (>= 2.11-4), gzip-win32
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
 Vcs-Git: git://git.debian.org/d-i/win32-loader.git
 
 Package: win32-loader
 Architecture: all
-Depends: ${misc:Depends}, base-files (>= 4.0.1~)
+Depends: ${misc:Depends}
 Built-Using: ${w32-loader:built-using}
 Suggests: wine
 Description: Debian-Installer loader for win32
