## win32-loader 0.7.4.8b1

=== debian/changelog ===
win32-loader (0.7.4.8b1) staging; urgency=medium

  * Rebuild for Tanglu.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 10 Feb 2014 16:00:00 +0100

win32-loader (0.7.4.8) unstable; urgency=low

  * Post-Wheezy release: rebuild to embed up-to-date dependencies.

 -- Didier Raboud <odyx@debian.org>  Fri, 31 May 2013 08:54:10 +0200
