## win32-loader 0.7.8

=== debian/changelog ===
win32-loader (0.7.8) unstable; urgency=medium

  * Disable 'Download Debian GNU/kFreeBSD as stable' as this won't be possible
    in jessie
  * Bump Build-Depends against nsis to 2.46-10 as -9 has a NSISdl.dll that
    depends on runtime on libwinpthread-1.dll, which fails to load on Windows
    (Closes: #772898) Thanks to Bernhard Übelacker.

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Dec 2014 17:00:15 +0100

win32-loader (0.7.7) unstable; urgency=medium

  The « Lineus longissimus » release

  [ Cyril Brulebois ]
  * Fix typo in previous changelog entry.

  [ Didier Raboud ]
  * Use '---' instead of '--' for the kernel command-line (Closes: #768340)

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Nov 2014 14:50:11 +0100

win32-loader (0.7.6) unstable; urgency=medium

  The « Munchkin Katz » release

  * Drop now-redundant desktop selection, arch-specifics will be handled by
    tasksel, also drop the related translations. (Closes: #762478)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Oct 2014 08:31:32 +0200

win32-loader (0.7.5) unstable; urgency=medium

  The « Schistocerca gregaria » release

  * Replicate d-i's change for the video mode for the graphical installer:
      Remove old video=vesa:ywrap,mtrr option from VIDEO_MODE_GTK
      DirectFB apparently needed those at some point. Let's see whether
      letting the kernel do its job just works. (See: #395040)
  * Fetch hurd dailies from d-i.debian.org
  * Replace deprcated wiki.d.o errata url with the one from www.d.o
  * Use http.d.n instead of cdn.d.n

 -- Didier Raboud <odyx@debian.org>  Tue, 12 Aug 2014 22:51:27 +0200

win32-loader (0.7.4.10) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Updated translations:
    - Korean

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Apr 2014 07:31:52 +0200

win32-loader (0.7.4.9) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:08:00 +0200
