=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>
+Uploaders: Robert Millan <rmh.debian@aybabtu.com>, Didier Raboud <odyx@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
- nsis (>= 2.46-7~), nsis-pluginapi,
+ debhelper (>= 9),
+ nsis (>= 2.46-10~), nsis-pluginapi,
  mingw-w64,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
@@ -14,9 +14,9 @@
  locales-all,
  gpgv-win32, debian-archive-keyring,
  cpio-win32 (>= 2.11-4), gzip-win32
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/win32-loader.git
-Vcs-Git: git://git.debian.org/d-i/win32-loader.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git
+Vcs-Git: git://anonscm.debian.org/d-i/win32-loader.git
 
 Package: win32-loader
 Architecture: all
