## win32-loader 0.7.8+deb8u1

=== debian/changelog ===
win32-loader (0.7.8+deb8u1) jessie; urgency=low

  * Replace the Joy screenshot by a recent Lines screenshot
  * Replace http.debian.net with httpredir.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Apr 2015 15:19:28 +0200
