## win32-loader 0.7.10

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,15 @@
 
 PACKAGE	:= win32-loader
 VERSION	:= $(shell head -n 1 debian/changelog | sed -e "s/^$(PACKAGE) (\(.*\)).*/\1/g")
-
-NSIS_CC		:= i686-w64-mingw32-gcc -Os
+BUILD_DATE	?= $(shell LC_ALL=C date +'%a, %d %b %Y %T %z')
+FOUR_DIGITS_DATE	:= $(shell date -u +'%Y.%m.%d.%H%M' --date="$(BUILD_DATE)")
+
+NSIS_CC		:= i686-w64-mingw32-gcc -Os -Xlinker --no-insert-timestamp
 NSIS_STRIP	:= i686-w64-mingw32-strip
 NSIS_CFLAGS	:= -Wl,--file-alignment,512 -Werror -D_WIN32_WINNT=0x0500
 
+ICONSIZES       := 16 24 32 48 256
+
 ifeq ($(wildcard /usr/i686-w64-mingw32/include/exdll.h), /usr/i686-w64-mingw32/include/exdll.h)
 NSIS_CFLAGS	+= -DHAVE_EXDLL_H
 else
@@ -21,7 +25,7 @@
 MAKENSIS	:= makensis -V3
 
 # Add to it some version'ing and date
-MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=`date +%Y.%m.%d.%H%M`
+MAKENSIS	+= -DVERSION=$(VERSION) -D4DIGITS_DATE=$(FOUR_DIGITS_DATE)
 
 ifdef OUTFILE_NAME
 MAKENSIS	+= -D_OUTFILE_NAME=$(OUTFILE_NAME)
@@ -109,21 +113,30 @@
 	cp $^ $@
 
 ifdef PXE
-pxe.target: pxe.lkrn templates/ternary_choice.ini
-else
-pxe.target:
+PXE_TARGETS = pxe.lkrn templates/ternary_choice.ini
+else
+PXE_TARGETS =
 endif
 
 templates/gtk.bmp: templates/gtk_orig.png
 	convert $^ -resize 107x80 BMP3:$@
+
+# Build icons out of the SVG source, force them being square
+icon/swirl-%.png: icon/swirl.svg
+	rsvg-convert -f png -h $* -w $* $^ > $@
+
+# Build the icon out of the PNG icons
+win32-loader.ico: $(ICONSIZES:%=icon/swirl-%.png)
+	icotool -c -o $@ $^
 
 win32-loader.exe: main.nsi maps.ini \
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		templates/gtk.bmp templates/text.bmp \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
 		plugins/sha1sum.dll \
-		pxe.target \
-		swirl.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+		$(PXE_TARGETS) \
+		win32-loader.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
+	find $^ -newermt "$(BUILD_DATE)" -print0 | xargs -0r touch --date="$(BUILD_DATE)"
 	$(MAKE) -C l10n
 	$(MAKENSIS) main.nsi
 ifndef OUTFILE_NAME
@@ -214,7 +227,7 @@
 clean:
 	$(MAKE) -C l10n clean
 	rm -f plugins/cpuid/*.dll plugins/cpuid/*.exe plugins/systeminfo/*.dll plugins/*.dll win32-loader.exe \
-		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn
+		*.iso *~ */*~ core.img g2ldr g2ldr.mbr loadlin.pif loadlin.exe pxe.lkrn icon/*.png win32-loader.ico
 
 distclean: clean
 	rm -rf netboot
