=== debian/changelog ===
win32-loader (0.7.10) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Make package build reproducibly:
    - Don't insert timestamps when building NSIS DLLs
    - Allow to set build date externally
    - Reset embedded file modification times to the build date
    - Set build date in debian/rules to the latest debian/changelog entry
  * Makefile syntax fix in PXE targets definition

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Apr 2015 09:25:43 +0200

win32-loader (0.7.9) unstable; urgency=medium

  * Add NSIS in the Built-Using list, given that win32-loader embeds (at least)
    NSISdl.dll
  * Build the icon out of a square SVG file; add librsvg2-bin and icoutils to
    Build-Depends
  * Replace the Joy screenshot by a recent Lines screenshot
  * Replace http.debian.net with httpredir.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 26 Apr 2015 14:06:59 +0200
