=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper (>= 9),
  nsis (>= 2.46-10~), nsis-pluginapi,
  mingw-w64,
+ librsvg2-bin, icoutils,
  gettext,
  grub-pc-bin (>= 1.99~rc1-3),
  ipxe,
