## win32-loader 0.8.3+deb9u1

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,13 @@
 # Disabling the kFreeBSD download
 ifndef NOT_ALLKERNELS
 MAKENSIS	+= -DALLKERNELS=yes
-else
-OPTIONS_TXT	+= =linux
+OPTIONS_TXT	+= +kernels
+endif
+
+# Allowing the branch selection
+ifdef DAILIES
+MAKENSIS	+= -DDAILIES=yes
+OPTIONS_TXT	+= +dailies
 endif
 
 ifdef OPTIONS_TXT
@@ -133,7 +138,7 @@
 		templates/binary_choice.ini templates/graphics.ini templates/custom.ini templates/4_choices.ini \
 		templates/gtk.bmp templates/text.bmp \
 		plugins/cpuid/test64.dll plugins/systeminfo/systeminfo.dll plugins/string.dll \
-		plugins/sha1sum.dll \
+		plugins/libgcrypt_hash.dll \
 		$(PXE_TARGETS) \
 		win32-loader.ico loadlin.pif loadlin.exe g2ldr g2ldr.mbr
 	find $^ -newermt "$(BUILD_DATE)" -print0 | xargs -0r touch --date="$(BUILD_DATE)"
@@ -157,8 +162,8 @@
 	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
 	$(NSIS_STRIP) $@
 
-plugins/sha1sum.dll: plugins/sha1sum.c
-	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -o $@
+plugins/libgcrypt_hash.dll: plugins/libgcrypt_hash.c
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a -o $@
 	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso
@@ -176,7 +181,7 @@
   $(NULL)
 	genisoimage -r -J -o $@ netboot/daily
 
-BASE_URL=http://ftp.nl.debian.org/debian/dists/stable/main
+BASE_URL=http://deb.debian.org/debian/dists/stable/main
 netboot/download-stable-stamp:
 	mkdir -p netboot/stable/install.{386,amd}/gtk
 	wget $(BASE_URL)/installer-i386/current/images/netboot/debian-installer/i386/linux \
@@ -195,17 +200,17 @@
 
 netboot/download-daily-stamp:
 	mkdir -p netboot/daily/install.{386,amd}/gtk
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/linux \
 		-O netboot/daily/install.386/vmlinuz
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/initrd.gz
-	wget http://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
+	wget https://d-i.debian.org/daily-images/i386/daily/netboot/gtk/debian-installer/i386/initrd.gz \
 		-O netboot/daily/install.386/gtk/initrd.gz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/linux \
 		-O netboot/daily/install.amd/vmlinuz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/initrd.gz
-	wget http://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
+	wget https://d-i.debian.org/daily-images/amd64/daily/netboot/gtk/debian-installer/amd64/initrd.gz \
 		-O netboot/daily/install.amd/gtk/initrd.gz
 	touch $@
