=== debian/changelog ===
win32-loader (0.8.3+deb9u1) stretch; urgency=medium

  * Drop bz2 compression for source
  * Replace all mirror urls with deb.debian.org

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Jul 2017 14:24:26 +0200

win32-loader (0.8.3) unstable; urgency=low

  * The « Pippita » release

  * Fix FTBFS on i386: use gawk to prepare README file (Closes: #860695)

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Apr 2017 18:03:11 +0200

win32-loader (0.8.2) unstable; urgency=medium

  * The « Iao » release

  * Fix dpkg-query calls to use source:* for Version and Package directly
    - Add Build-Dependency on dpkg (>= 1.16.2) for that support
    - Fixes the FTBFS revealed by loadlin's binNMU
    (Closes: #858104)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Mar 2017 21:23:59 +0100

win32-loader (0.8.1) unstable; urgency=medium

  * The « poipoi » release

  * As NSIS doesn't support downloading from https (#819092), and as
    d-i dailies are now on an https-enforced hosts: don't allow branch
    or kernel selection
  * Replace the Lines screenshot by a recent softWaves screenshot
  * Refresh debian/copyright in CF1.0

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Dec 2016 20:57:22 +0100

win32-loader (0.8.0) unstable; urgency=low

  * The « Κρυπτεία σκυτάλη » release

  * Refresh the crypto management code:
   - Replace the sha1sum.c NSIS with a more generic libgcrypt_hash.c plugin,
     therefore Build-Depend on libgcrypt-mingw-w64-dev for static linking, and
     add these to the Built-Using list
   - Rewrite the NSIS code to be more hash-independent
   - Use SHA256SUMS instead of MD5SUMS everywhere possible (Closes: #818604)
   - Remove all MD5-checking code

  * Bump Build-Depends against nsis to 2.48 as it fixes a privilege escalation
    in generated installers
  * Update the non-Linux comments for the stretch release
  * Lift constraint on Windows versions; all >= Win7 versions use bcdedit.exe
    apparently (Closes: #775055)
  * Specify msgid-bugs-address in xgettext call to avoid noisy diffs
  * Bump Standards-Version to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Apr 2016 23:22:22 +0200

win32-loader (0.7.14) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 19:13:03 +0100

win32-loader (0.7.13) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Switch d-i.debian.org URIs from http to https.

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jan 2016 06:57:56 +0100

win32-loader (0.7.12) unstable; urgency=medium

  * Revert premature and wrong Vcs-Browser URL update
  * Remove 'Introduce a trust chain …' from TODO list, that's implemented

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Dec 2015 08:58:33 +0100

win32-loader (0.7.11) unstable; urgency=medium

  * Bump Standards-Version without changes needed
  * Update Vcs-Browser URLs
  * Add missing ImageMagick Build-Depends (Closes: #806447)
  * Fix function implicit declaration warning

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Nov 2015 19:25:40 +0100
