## win32-loader 0.9.4

=== debian/changelog ===
win32-loader (0.9.4) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Simplification of BOOTCFG_CreateGUID function (Closes: #919023)

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Jan 2019 21:12:07 +0100

win32-loader (0.9.3) unstable; urgency=medium

  [ Thomas Gaugler ]
  * Fix memory leaks in BOOTCFG_CreateGUID

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Jan 2019 18:38:43 +0100

win32-loader (0.9.2) unstable; urgency=medium

  * The « Panosse » release

  [ Holger Wansing ]
  * Refresh po files, to remove old, no longer used translation strings
    for desktop selection (feature was deleted with commit 56afa6af, in
    package version 0.7.6, Closes: #915211)

 -- Didier Raboud <odyx@debian.org>  Sat, 01 Dec 2018 19:40:56 +0100

win32-loader (0.9.1) unstable; urgency=medium

  * The « Knöpfle » release

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement)

  [ Didier Raboud ]
  * Use `cme` to rewrite dpkg-control; declare compliance to Debian
    Policy 4.1.2
  * Bump debhelper to 11
  * Also embed debian-archive-removed-keys keyring, as current stable's
    Release file is also signed with Wheezy's Archive signing key, which
    makes gpgv exit with 2

 -- Didier Raboud <odyx@debian.org>  Fri, 30 Nov 2018 23:45:20 +0100

win32-loader (0.9.0) unstable; urgency=medium

  * The « ፨ ለስላሳ » release

  * Migrate to NSIS 3

  [ Thomas Gaugler ]
  * Code cleanup; port to NSIS 3 and BCD

  [ Didier Raboud ]
  * Remove Robert Millan and Christian Perrier from Uploaders with thanks for
    their past work
  * Link statically against libwsock32.a
  * Bump Standards-Version to 4.1.3
  * Set priority to optional

  [ Eva Vranici ]
  * Translation of win32-loader to Albanian (sq)

 -- Didier Raboud <odyx@debian.org>  Sun, 01 Apr 2018 16:34:36 +0200

win32-loader (0.8.4) unstable; urgency=medium

  * The « Folivora » release

  * Drop bz2 compression for source
  * Replace all mirror urls with deb.debian.org

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 10:01:32 +0200
