## win32-loader 0.9.4+deb10u2

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ifeq ($(wildcard /usr/i686-w64-mingw32/include/exdll.h), /usr/i686-w64-mingw32/include/exdll.h)
 NSIS_CFLAGS	+= -DHAVE_EXDLL_H
 else
-NSIS_CFLAGS	+= -L/usr/i686-w64-mingw32/lib/nsis/ -lpluginapi
+NSIS_CFLAGS	+= -L/usr/i686-w64-mingw32/lib/nsis/ -lpluginapi-x86-ansi
 endif
 
 # Standard makensis call
@@ -163,7 +163,7 @@
 	$(NSIS_STRIP) $@
 
 plugins/libgcrypt_hash.dll: plugins/libgcrypt_hash.c
-	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a -o $@
+	$(NSIS_CC) $^ $(NSIS_CFLAGS) -shared -static-libgcc /usr/i686-w64-mingw32/lib/libgcrypt.a /usr/i686-w64-mingw32/lib/libgpg-error.a /usr/i686-w64-mingw32/lib/libwsock32.a -o $@
 	$(NSIS_STRIP) $@
 
 iso: stable.iso daily.iso
