=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 	done)
 
 NSIS_VERSION  := $(shell dpkg-query -f='$${Version}' -W nsis )
+
+# A non-UTF-8 locale is needed for the NSIS build to convert some language strings
+LC_ALL := POSIX
+export LC_ALL
 
 %:
 	dh $@
